sdrpp - Added dependencies for SDR++

This commit is contained in:
thetechprepper
2026-03-06 16:11:49 -07:00
parent 44c78139e6
commit 8e5b3ec84f
2 changed files with 21 additions and 7 deletions
+20 -7
View File
@@ -3,14 +3,8 @@
# Author : William McKeehan # Author : William McKeehan
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 3 September 2025 # Date : 3 September 2025
# Updated : 10 December 2025 # Updated : 6 March 2026
# Purpose : Install SDR++ # Purpose : Install SDR++
# WARNING: SDR++ may get pulled altogether as this application's dependencies
# has a high risk of breaking the stability of the platform. DO NOT RELY ON
# SDR++ being here for much longer. I am testing this downgrade to an earlier
# version (1.0.4). The nightly build goes against the goals of EmComm Tools
# philosophy. Stability always wins over new and shinny.
set -e set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
@@ -22,8 +16,27 @@ APP=sdrpp
VERSION=nightly VERSION=nightly
DOWNLOAD_FILE=sdrpp_ubuntu_jammy_amd64.deb DOWNLOAD_FILE=sdrpp_ubuntu_jammy_amd64.deb
et-log "****************************************************************"
et-log "* WARNING: *"
et-log "* *"
et-log "* SDR++ may get pulled at any time due to its nightly builds. *"
et-log "* Since the nightly builds are not version pinned, the library *"
et-log "* dependencies may change and result in run-time issues or may *"
et-log "* lead to breakage impacting other parts of the system. *"
et-log "****************************************************************"
et-log "Installing ${APP} ${VERSION}..." et-log "Installing ${APP} ${VERSION}..."
et-log "Installing build dependencies..."
apt install \
libvolk2-bin \
libvolk2-dev \
libfftw3-dev \
libglfw3-dev \
librtaudio-dev \
libzstd-dev \
-y
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/AlexandreRouma/SDRPlusPlus/releases/download/${VERSION}/${DOWNLOAD_FILE}" URL="https://github.com/AlexandreRouma/SDRPlusPlus/releases/download/${VERSION}/${DOWNLOAD_FILE}"
+1
View File
@@ -73,6 +73,7 @@ exitIfNotRoot
# Install SDR tools # Install SDR tools
./install-sdr-tools.sh ./install-sdr-tools.sh
./install-dump1090.sh ./install-dump1090.sh
./install-spp.sh
# Install ETC custom maps # Install ETC custom maps
./download-et-maps.sh ./download-et-maps.sh